ros-rolling-rmw-gurumdds-cpp (6.0.1-2noble) noble; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Donghyeon Lee <donghyeon@gurum.cc>  Tue, 20 May 2025 05:04:30 -0000

ros-rolling-rmw-gurumdds-cpp (6.0.0-2noble) noble; urgency=high

  * Update rmw event impl
    * Use RMW_EVENT_TYPE_MAX instead of RMW_EVENT_INVALID
    * Implement rmw_event_type_is_supported
  * Fix a segfault on the dpf's initialization is failed
  * Switch to ament_cmake_ros_core package
  * Remove ament dependency of GurumDDS
  * Improve performance of rmw_wait
  * Reduce memcpy and memset
  * Add read entity's qos from profile
    This allows changing DDS QoS, which is not supported in ROS2.
  * Fix order of parameters in call initialize_node
  * Remove additional member field for unused basic service support
  * Instrument client/service for end-to-end request/response tracking
  * Drop support for float128
  * Add tracepoints to pub/sub
  * Make rmw_destroy_wait_set return RMW_RET_INVALID_ARGUMENT
  * Make rmw_service_server_is_available return RMW_RET_INVALID_ARGUMENT
  * Use rmw_namespace_validation_result_string() in rmw_create_node
  * Remove rmw_localhost_only_t
  * Contributors: gurum, kumazuma, Scott K Logan

 -- Donghyeon Lee <donghyeon@gurum.cc>  Sun, 18 May 2025 15:00:00 -0000

ros-rolling-rmw-gurumdds-cpp (5.0.0-2noble) noble; urgency=high

  * Refactor type_support_service
  * Place copyright notice
  * Refactor event info types
  * Fix failure when receiving a message
  * Refactor type_support_common
  * Update feature support
  * Refactor rmw_take
    Use dds_DataReader_take_next_sample_w_info_ex instead of dds_DataReader_raw_take for reduce allocation and free
  * Refactor GID/GUID
  * Change SampleInfo's received_timestamp
  * Change Subscription
    Add SubscriberInfo::on_data_available
  * Refactor rmw_wait
    * move rmw_gurumdds_cpp::wait to a source file
    * make check once that the use_polling env var in rmw_gurumdds_cpp::wait
  * Remove unnecessary underscores
  * Remove unnecessary typedef
  * refactor: use namespace rmw_gurumdds_cpp
  * Remove unused header files
  * Use RCUTILS_UNUSED macro instead of static_cast<void>
  * Use RCUTILS_UNUSED macro instead of (void)
  * Refactor include guard
  * docs: update README.md and maintainers
  * refactor: clean up files
  * Refactor CDR
    * Refactor MessageSerializer class
    * Refactor CdrSerializationBuffer class
    * Refactor MessageDeserializer class
    * Refactor CdrDeserializationBuffer class
  * Fix failure of serialization
  * Reduce calling dds_ConditionSeq_length in __rmw_wait function
  * Implement set_on_new_event_callback
    * new GurumddsEventInfo::get_guard_condition method for waiting when a callback is set
    * new GurumddsTopicEventListener class for managing of the topic's listener
    * change signature and behavior of __gather_event_conditions for use guard condition
    * replace GurumddsEventInfo::get_status_changes method to GurumddsEventInfo::is_status_changed
    * new GurumddsEventInfo::has_callback for checking callback is set
    * change signature and behavior of GurumddsEventInfo::get_status for use callback listener
  * Add received_timestamp
  * Implement set_on_new_[message/request/response]_callback
  * Fix graph_on_node/publisher/subscriber/service/client_created/deleted
  * Add setup publish_callback in common context
    * Add rmw_gurumdds::publish function
  * Add event type added in rmw 7.1.0
  * Fix typo
    * Replace 'NULL' to nullptr
    * Remove unnecessary cast
    * Remove unnecessary condition
  * Refactor check_dds_ret_code
    Make it use switch-cast instead if-else
  * Handle 'best available' QoS policies
  * Support minimal functionalities for Jazzy
    - Add rmw_count_clients and rmw_count_services
    - Add rmw_get_gid_for_client
    - Put unimplemented error in rmw_take_dynamic_message, rmw_take_dynamic_message_with_info, and rmw_serialization_support_init
    - Include <cstdint> in types.cpp
    - Ignore PRECONDITION_NOT_MET when checking WaitSet detach condition
  * Add type hash
  * Fix failure of build
  * Fix deserialization wstring
  * Fix initialize_node
  * Contributors: gurum, kumazuma

 -- Donghyeon Lee <donghyeon@gurum.cc>  Wed, 16 Oct 2024 15:00:00 -0000

ros-rolling-rmw-gurumdds-cpp (3.6.1-2noble) noble; urgency=high

  * Increase ros_discovery_info history depth
  * Contributors: Donghyeon Lee

 -- Donghyeon Lee <donghyeon@gurum.cc>  Thu, 18 Apr 2024 15:00:00 -0000

ros-rolling-rmw-gurumdds-cpp (3.6.0-2noble) noble; urgency=high

  * Use gurumdds-3.1
  * Revert "Support zero copy API"
    This reverts commit fc3807d20aa0603f78293e11635e90ececd0d1fa.
  * Contributors: hyeonwoo

 -- Donghyeon Lee <donghyeon@gurum.cc>  Wed, 03 Apr 2024 15:00:00 -0000

ros-rolling-rmw-gurumdds-cpp (3.5.1-2noble) noble; urgency=high

  * Fix struct array deserialization
  * Contributors: Jaemin Jo

 -- Donghyeon Lee <donghyeon@gurum.cc>  Mon, 29 Jan 2024 15:00:00 -0000

ros-rolling-rmw-gurumdds-cpp (3.5.0-2noble) noble; urgency=high

  * Change maintainer list
  * Support zero copy API
  * Contributors: Jaemin Jo

 -- Donghyeon Lee <donghyeon@gurum.cc>  Tue, 26 Sep 2023 15:00:00 -0000

ros-rolling-rmw-gurumdds-cpp (3.4.2-2noble) noble; urgency=high

  * Update packages to use gurumdds-3.0 & Update README
  * Contributors: Jaemin Jo

 -- Donghyeon Lee <donghyeon@gurum.cc>  Sun, 17 Sep 2023 15:00:00 -0000

ros-rolling-rmw-gurumdds-cpp (3.4.1-2noble) noble; urgency=high

  * Fix interoperability errors: Remove buffer roundup at the end of messeage deserialize function
  * Contributors: Jaemin Jo

 -- Donghyeon Lee <donghyeon@gurum.cc>  Tue, 12 Sep 2023 15:00:00 -0000

ros-rolling-rmw-gurumdds-cpp (3.4.0-2noble) noble; urgency=high

  * Add maintainer
  * Add null handling
  * Apply loop to take sequence
  * Contributors: Youngjin Yun

 -- Donghyeon Lee <donghyeon@gurum.cc>  Tue, 07 Mar 2023 15:00:00 -0000

ros-rolling-rmw-gurumdds-cpp (3.3.1-2noble) noble; urgency=high

  * Remove sleep from entity creation
  * Contributors: Youngjin Yun

 -- Donghyeon Lee <donghyeon@gurum.cc>  Tue, 29 Nov 2022 15:00:00 -0000

ros-rolling-rmw-gurumdds-cpp (3.3.0-2noble) noble; urgency=high

  * Apply graph cache (#17 <https://github.com/ros2/rmw_gurumdds/issues/17>)
    * graph_cache 0718
    * Add topic name creation
    * graph_cache 0722
    * Sync api
    * add context::finalize()
    * Wrap-up pub and sub
    * fix gid
    * Wrap-up client and service
    * fix segfault
    * Add set on callback empty stub
    * Add content filter topic feature empty stub
    * Change the behavior of take response to a loop
    * Add missing dependency
    * Fix bug and remove unnecessary struct
    * Synk for log
    * Amend log and scope exit for node
    * Apply on_remote_changed callback & fix typo
    * Cleanup log
    * Reposition message handling timing of response
    Co-authored-by: donghee811 <mailto:donghee@gurum.cc>
  * Redefine rmw gurumdds identifier
  * Integrate rmw_gurumdds_shared_cpp into rmw_gurumdds_cpp
  * Contributors: Youngjin Yun

 -- Donghyeon Lee <donghyeon@gurum.cc>  Tue, 04 Oct 2022 15:00:00 -0000

ros-rolling-rmw-gurumdds-cpp (3.2.2-2noble) noble; urgency=high

  * Add missing guid comparison conditional statement
  * Add sequence numbers to message info structure
  * Contributors: Youngjin Yun, donghee811

 -- Donghyeon Lee <donghyeon@gurum.cc>  Mon, 04 Jul 2022 15:00:00 -0000

ros-rolling-rmw-gurumdds-cpp (3.2.1-2noble) noble; urgency=high

  * Handle null string
  * Fix rclcpp test(test_serialized_message) failure
  * Fix cast style and relative paths for cpplint
  * Contributors: Youngjin Yun

 -- Donghyeon Lee <donghyeon@gurum.cc>  Wed, 01 Jun 2022 15:00:00 -0000

ros-rolling-rmw-gurumdds-cpp (3.2.0-2noble) noble; urgency=high

  * Enhanced rpc with sampleinfoex
  * Basic rpc
  * Contributors: Youngjin Yun

 -- Donghyeon Lee <donghyeon@gurum.cc>  Mon, 25 Apr 2022 15:00:00 -0000

ros-rolling-rmw-gurumdds-cpp (3.1.6-2noble) noble; urgency=high

  * Remove minimum dds version as raw typesupport removed
  * Revert raw typesupport patch
  * Contributors: Youngjin Yun

 -- Donghyeon Lee <donghyeon@gurum.cc>  Mon, 25 Apr 2022 15:00:00 -0000

ros-rolling-rmw-gurumdds-cpp (3.1.5-2noble) noble; urgency=high

  * Remove dead store
  * Adjust minimum dds version
  * Contributors: Youngjin Yun

 -- Donghyeon Lee <donghyeon@gurum.cc>  Wed, 16 Mar 2022 15:00:00 -0000

ros-rolling-rmw-gurumdds-cpp (3.1.4-2noble) noble; urgency=high

  * Use raw typesupport instead of typesupport
  * Contributors: Youngjin Yun

 -- Donghyeon Lee <donghyeon@gurum.cc>  Tue, 15 Feb 2022 15:00:00 -0000

ros-rolling-rmw-gurumdds-cpp (3.1.3-2noble) noble; urgency=high

  * Add omitted free
  * Change to delete only the entities created by the user
  * Contributors: Youngjin Yun

 -- Donghyeon Lee <donghyeon@gurum.cc>  Tue, 15 Feb 2022 15:00:00 -0000

ros-rolling-rmw-gurumdds-cpp (3.1.2-2noble) noble; urgency=high

  * Update packages to use gurumdds-2.8 & Update README
  * Contributors: Youngjin Yun

 -- Donghyeon Lee <donghyeon@gurum.cc>  Sun, 02 Jan 2022 15:00:00 -0000

ros-rolling-rmw-gurumdds-cpp (3.1.1-2noble) noble; urgency=high

  * Add public to qos convert api& fix for uncrustify
  * Contributors: Youngjin Yun

 -- Donghyeon Lee <donghyeon@gurum.cc>  Mon, 20 Dec 2021 15:00:00 -0000

ros-rolling-rmw-gurumdds-cpp (3.1.0-2noble) noble; urgency=high

  * Use convert api for publisher/subscription Qos getters
  * Add client/service Qos getters
  * Remove dds_typesupport from Publisher/Subscriber Info
  * Change the return time when destroying entities
  * Add ommited memory manage code
  * Modify unnecessary code
  * Fix typo
  * Update return value
  * Contributors: Youngjin Yun

 -- Donghyeon Lee <donghyeon@gurum.cc>  Wed, 24 Nov 2021 15:00:00 -0000

ros-rolling-rmw-gurumdds-cpp (3.0.9-2noble) noble; urgency=high



 -- Donghyeon Lee <donghyeon@gurum.cc>  Wed, 13 Oct 2021 15:00:00 -0000

ros-rolling-rmw-gurumdds-cpp (3.0.8-2noble) noble; urgency=high



 -- Donghyeon Lee <donghyeon@gurum.cc>  Wed, 13 Oct 2021 15:00:00 -0000

ros-rolling-rmw-gurumdds-cpp (3.0.7-2noble) noble; urgency=high



 -- Donghyeon Lee <donghyeon@gurum.cc>  Sun, 26 Sep 2021 15:00:00 -0000

ros-rolling-rmw-gurumdds-cpp (3.0.6-2noble) noble; urgency=high

  * Revise for lint
  * Contributors: Youngjin Yun

 -- Donghyeon Lee <donghyeon@gurum.cc>  Wed, 22 Sep 2021 15:00:00 -0000

ros-rolling-rmw-gurumdds-cpp (3.0.5-2noble) noble; urgency=high

  * Update rmw_context_impl_t definition
  * Add rmw_publisher_wait_for_all_acked
  * Contributors: Youngjin Yun

 -- Donghyeon Lee <donghyeon@gurum.cc>  Wed, 22 Sep 2021 15:00:00 -0000

ros-rolling-rmw-gurumdds-cpp (3.0.4-2noble) noble; urgency=high

  * Fix unbounded sequence size
  * Contributors: Youngjin Yun

 -- Donghyeon Lee <donghyeon@gurum.cc>  Wed, 01 Sep 2021 15:00:00 -0000

ros-rolling-rmw-gurumdds-cpp (3.0.3-2noble) noble; urgency=high

  * Remove datareader listener patch
  * Remove unnecessary operation
  * Contributors: Youngjin Yun

 -- Donghyeon Lee <donghyeon@gurum.cc>  Wed, 18 Aug 2021 15:00:00 -0000

ros-rolling-rmw-gurumdds-cpp (3.0.2-2noble) noble; urgency=high



 -- Donghyeon Lee <donghyeon@gurum.cc>  Tue, 13 Jul 2021 15:00:00 -0000

ros-rolling-rmw-gurumdds-cpp (3.0.1-2noble) noble; urgency=high

  * Use variable attempt to take the number of times equal to count
  * Check if the queue is empty before using it
  * Contributors: Youngjin Yun

 -- Donghyeon Lee <donghyeon@gurum.cc>  Tue, 06 Jul 2021 15:00:00 -0000

ros-rolling-rmw-gurumdds-cpp (3.0.0-2noble) noble; urgency=high

  * Revise for lint
  * Contributors: Youngjin Yun

 -- Donghyeon Lee <donghyeon@gurum.cc>  Wed, 28 Apr 2021 15:00:00 -0000

ros-rolling-rmw-gurumdds-cpp (2.1.4-2noble) noble; urgency=high

  * Indicate missing support for unique network flows
  * Contributors: Youngjin Yun

 -- Donghyeon Lee <donghyeon@gurum.cc>  Wed, 21 Apr 2021 15:00:00 -0000

ros-rolling-rmw-gurumdds-cpp (2.1.3-2noble) noble; urgency=high

  * Use dds_free instead of free for dll library
  * Contributors: Youngjin Yun

 -- Donghyeon Lee <donghyeon@gurum.cc>  Sun, 11 Apr 2021 15:00:00 -0000

ros-rolling-rmw-gurumdds-cpp (2.1.2-2noble) noble; urgency=high

  * Update code about build error on windows
  * Add RMW function to check QoS compatibility
  * Contributors: Youngjin Yun, youngjin

 -- Donghyeon Lee <donghyeon@gurum.cc>  Sun, 21 Mar 2021 15:00:00 -0000

ros-rolling-rmw-gurumdds-cpp (2.1.1-2noble) noble; urgency=high

  * Update packages to use gurumdds-2.7
  * Contributors: youngjin

 -- Donghyeon Lee <donghyeon@gurum.cc>  Thu, 11 Mar 2021 15:00:00 -0000

ros-rolling-rmw-gurumdds-cpp (2.1.0-2noble) noble; urgency=high

  * Change maintainer
  * Handle typesupport errors on retrieval
  * Set actual domain id into context
  * Fix wrong error messages
  * Use DataReader listener for taking data samples
  * Contributors: junho, youngjin

 -- Donghyeon Lee <donghyeon@gurum.cc>  Mon, 22 Feb 2021 15:00:00 -0000

ros-rolling-rmw-gurumdds-cpp (2.0.1-2noble) noble; urgency=high

  * Change maintainer
  * Contributors: junho

 -- Donghyeon Lee <donghyeon@gurum.cc>  Tue, 28 Jul 2020 15:00:00 -0000

ros-rolling-rmw-gurumdds-cpp (2.0.0-2noble) noble; urgency=high

  * Removed parameters domain_id and localhost_only from rmw_create_node()
  * Updated init/shutdown/init option functions
  * Contributors: junho

 -- Donghyeon Lee <donghyeon@gurum.cc>  Wed, 08 Jul 2020 15:00:00 -0000

ros-rolling-rmw-gurumdds-cpp (1.1.0-2noble) noble; urgency=high

  * Finalize rmw context only if it's shutdown
  * Added support for sample_lost event
  * Renamed rmw_gurumdds_dynamic_cpp to rmw_gurumdds_cpp
  * Renamed rmw_gurumdds_cpp to rmw_gurumdds_static_cpp
  * Contributors: junho

 -- Donghyeon Lee <donghyeon@gurum.cc>  Wed, 08 Jul 2020 15:00:00 -0000

ros-rolling-rmw-gurumdds-cpp (1.0.0-2noble) noble; urgency=high

  * Fixed wrong package version
  * MANUAL_BY_NODE liveliness is deprecated
  * Updated packages to use gurumdds-2.6
  * Replaced rosidl_message_bounds_t with rosidl_runtime_c__Sequence__bound
  * Replaced rmw_request_id_t with rmw_service_info_t
  * Added rmw_take_sequence()
  * Fill timestamps in message info
  * Fixed template specialization
  * security_context is renamed to enclave
  * Replaced rosidl_generator_* with rosidl_runtime_*
  * Added incompatible qos support
  * Apply one participant per context API changes
  * Fixed serialization/deserialization errors
  * Fixed some errors
    * added missing qos finalization
    * fixed issue that topic endpoint info was not handled correctly
    * added null check to builtin datareader callbacks
  * Added qos finalization after creating publisher/subscriber
  * Added event init functions
  * Implemented rmw_serialize/rmw_deserialize
  * Implemented client
  * Implemented service
  * Fixed code style divergence
  * Implemented subscription
  * Fixed some errors in cdr buffer
  * Implemented publisher
  * Implemented serialization/deserialization
  * Suppress complie warnings
  * Modified structures in types.hpp
  * Implemented create_metastring()
  * added rmw_gurumdds_cpp
  * Contributors: junho

 -- Donghyeon Lee <donghyeon@gurum.cc>  Wed, 03 Jun 2020 15:00:00 -0000

ros-rolling-rmw-gurumdds-cpp (0.8.2-2noble) noble; urgency=high



 -- Donghyeon Lee <donghyeon@gurum.cc>  Wed, 18 Dec 2019 15:00:00 -0000

ros-rolling-rmw-gurumdds-cpp (0.8.1-2noble) noble; urgency=high



 -- Donghyeon Lee <donghyeon@gurum.cc>  Thu, 14 Nov 2019 15:00:00 -0000

ros-rolling-rmw-gurumdds-cpp (0.8.0-2noble) noble; urgency=high



 -- Donghyeon Lee <donghyeon@gurum.cc>  Tue, 05 Nov 2019 15:00:00 -0000


